Search Intermediary Accounts

The Search Accounts API gets all intermediary accounts by specified filters.
This can be helpful if you want to search one or multiple accounts by account/intermediary id or email or phone number.

To enable phone number uniques, please use this API before each request to Create Account or Add/Update Phone Number.

Each account includes the following properties:

  • id, which is their Borrower Account ID.
  • intermediaryId, which is their Intermediary ID.
  • isEmailNotVerified, which is either true or undefined and indicates whether their email is verified.
  • email, which is their email address.
  • phones, which is their phone (or phones). deprecated; use phone and isPhoneVerified instead (will be removed in next major version)
  • lastActiveAt, which is when they were last active.
  • status, which is one of (active, blocked, pending).
  • testing, which is boolean flag of the Lending System mode.
  • phone, optional, string.
  • isPhoneVerified, boolean, either true or false.
  • fullName, account full name, string.

This API does not require a JSON body.

Query Params
ids
array of strings

Account IDs

ids
emails
array of strings

Account emails

emails
phones
array of strings

Account phones

phones
intermediaryIds
array of strings

Intermediary IDs

intermediaryIds
Headers
string
enum
Defaults to 2024-02-26
Allowed:
Responses

Language
Credentials
Header
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json